PipeWire: module_roc_sink_data Struct Reference

PipeWire 0.3.34

Data Fields
module_roc_sink_data Struct Reference

## Data Fields
struct pw_impl_module * | module
struct pw_work_queue * | work
struct spa_hook | module_listener
struct pw_properties * | props
struct pw_context * | module_context
struct pw_core * | core
struct spa_hook | core_listener
struct spa_hook | core_proxy_listener
struct pw_stream * | capture
struct spa_hook | capture_listener
struct pw_properties * | capture_props
unsigned int | do_disconnect:1
unsigned int | unloading:1
roc_address | local_addr
roc_address | remote_source_addr
roc_address | remote_repair_addr
roc_context * | context
roc_sender * | sender
char * | local_ip
char * | remote_ip
int | remote_source_port
int | remote_repair_port

## Field Documentation

## ◆ capture

struct pw_stream* module_roc_sink_data::capture

## ◆ capture_listener

struct spa_hook module_roc_sink_data::capture_listener

## ◆ capture_props

struct pw_properties* module_roc_sink_data::capture_props

## ◆ context

roc_context* module_roc_sink_data::context

## ◆ core

struct pw_core* module_roc_sink_data::core

## ◆ core_listener

struct spa_hook module_roc_sink_data::core_listener

## ◆ core_proxy_listener

struct spa_hook module_roc_sink_data::core_proxy_listener

## ◆ do_disconnect

unsigned int module_roc_sink_data::do_disconnect

## ◆ local_addr

roc_address module_roc_sink_data::local_addr

## ◆ local_ip

char* module_roc_sink_data::local_ip

## ◆ module

struct pw_impl_module* module_roc_sink_data::module

## ◆ module_context

struct pw_context* module_roc_sink_data::module_context

## ◆ module_listener

struct spa_hook module_roc_sink_data::module_listener

## ◆ props

struct pw_properties* module_roc_sink_data::props

## ◆ remote_ip

char* module_roc_sink_data::remote_ip

## ◆ remote_repair_addr

roc_address module_roc_sink_data::remote_repair_addr

## ◆ remote_repair_port

int module_roc_sink_data::remote_repair_port

## ◆ remote_source_addr

roc_address module_roc_sink_data::remote_source_addr

## ◆ remote_source_port

int module_roc_sink_data::remote_source_port

## ◆ sender

roc_sender* module_roc_sink_data::sender

## ◆ unloading

unsigned int module_roc_sink_data::unloading

## ◆ work

struct pw_work_queue* module_roc_sink_data::work

The documentation for this struct was generated from the following file:

- module-roc-sink.c